> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Book Transfer



## OpenAPI

````yaml api-reference/openapi-payments.json PATCH /book/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /book/{id}:
    patch:
      tags:
        - Book Transfer
      summary: Update a Book Transfer
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example:
                summary: Updating userdata
                value:
                  userdata:
                    ok: 'true'
            schema:
              properties:
                userdata:
                  description: Arbitrary data the user can attach to the object
                  type: object
        description: The book to update
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    amount: '100.00'
                    created_at: '2017-11-02T11:55:14Z'
                    description: null
                    from_account_id: acct_1234567890
                    id: book_1029384756
                    status: pending
                    to_account_id: acct_0987654321
                    updated_at: '2017-11-02T11:55:14Z'
                    userdata:
                      ok: 'true'
              schema:
                properties:
                  amount:
                    description: Amount of money to transfer, with two decimal precision
                    pattern: ^[0-9]+[.][0-9][0-9]$
                    type: string
                  bank_id:
                    description: ID of the bank with which the object is associated
                    type: string
                  bankdata:
                    description: >-
                      Optional arbitrary data that can be attached for the
                      bank's use
                    type: object
                  description:
                    description: >-
                      Optional description. Long descriptions may be truncated
                      on legacy banking cores.
                    type: string
                  error:
                    description: >-
                      Error message describing why a book transfer failed to
                      send
                    type: string
                  from_account_id:
                    description: ID of the account originating the transfer. Filterable.
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  org_id:
                    description: >-
                      ID of the organization with which the object is
                      associated. Filterable.
                    type: string
                  status:
                    description: >-
                      One of `pending`, `canceled`, `sent`, or `error`.
                      Filterable.
                    type: string
                  to_account_id:
                    description: ID of the account receiving the transfer. Filterable.
                    type: string
                  userdata:
                    description: Arbitrary data the user can attach to the object
                    type: object
          description: The book updated
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````